package models

import (
	"github.com/shopspring/decimal"
)

type ClientTransRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
	TypeList  int    `json:"type_list"` //1-未开始 2-进行中 3-已结束
}

type ClientTransReply struct {
	MerchantCardID   int64           `json:"merchant_card_id"`   // 商户卡id
	Amount           decimal.Decimal `json:"amount"`             // 交易金额
	PayTime          string          `json:"pay_time"`           // 支付时间
	MerchantCardName string          `json:"merchant_card_name"` // 商户卡名称
	MerchantCardTime string          `json:"merchant_card_time"` // 商户卡有效期
	TransId          int64           `json:"trans_id"`           //交易id
}

type VerificationCodeRequest struct {
	TransId int64 `json:"trans_id"`
}

type VerificationCodeReply struct {
	QR string `json:"qr"`
}
